<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqImpugnaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bImpugnacionBean" type="w83b.w83bBeans.W83bImpugnacionBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="w83bcnae" type="java.lang.String" />
				<form-property name="w83btipoVoz" type="java.lang.String" />
				<form-property name="w83bvoz" type="java.lang.String" />
				
				
		</form-bean>
		<form-bean
				name="w83bFormNuevaImpugnacion"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bNuevaImpugnacionBean" type="w83b.w83bBeans.W83bImpugnacionBean"/>
				
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="w83bterritorio" type="java.lang.String"/>
				<form-property name="w83barbitro" type="java.lang.String" />
				<form-property name="w83bprovinciaImpug" type="java.lang.String"/>
				<form-property name="w83bmunicipioImpug" type="java.lang.String" />
				<form-property name="w83btipoVoz" type="java.lang.String" />
				<form-property name="w83bvoz" type="java.lang.String" />
				<form-property name="w83bvozSINO" type="java.lang.String" />
				<form-property name="w83bcnae" type="java.lang.String" />
				<form-property name="w83bsector" type="java.lang.String" />
				<form-property name="w83bregJur" type="java.lang.String" />
				<form-property name="w83bmotivoBaja" type="java.lang.String" />
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				
				<form-property name="w83bPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bRegManual" type="java.lang.String" initial=""/>
				
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="nombreBean" type="java.lang.String" initial="w83bImpugnacionBean,w83bNuevaImpugnacionBean"/>
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqImpugnaciones[w83bImpugnacionBean],w83bFormNuevaImpugnacion[w83bNuevaImpugnacionBean]"/>				   
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.Impugnaciones"/>
				<form-property name="strTitleKey" type="java.lang.String" initial=""/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>		
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.impugnaciones"/>								
			
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="w83bListResultado" type="java.util.List"/>
				
				<form-property name="w83bImpugnacionBean" type="w83b.w83bBeans.W83bImpugnacionBean"/>
				<form-property name="w83bNuevaImpugnacionBean" type="w83b.w83bBeans.W83bImpugnacionBean"/>
				<form-property name="w83bNuevaImpugnacionBeanTemp" type="w83b.w83bBeans.W83bImpugnacionBean"/>
				<form-property name="w83bListaCentroTrabajo" type="java.util.List"/>	
				
				<form-property name="w83bImpugnacionTempBean" type="w83b.w83bBeans.W83bImpugnacionBean"/>
				<form-property name="w83bImpugnacionesBeanSalida" type="w83b.w83bBeans.W83bImpugnacionBean"/>
				
				<form-property name="w83bListaImpugnaciones" type="java.util.List"/>	
				
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>		
				<form-property name="subOpFlag" type="java.lang.String" initial="impugnaciones"/>
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				
				<form-property name="w83bterritorio" type="java.lang.String"/>
				<form-property name="w83barbitro" type="java.lang.String" />
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
				<form-property name="w83btipoVoz" type="java.lang.String" />
				<form-property name="w83bvoz" type="java.lang.String" />
				<form-property name="w83bprovinciaImpug" type="java.lang.String"/>
				<form-property name="w83bmunicipioImpug" type="java.lang.String" />
				
				
				<form-property name="w83bContarImpugnaciones" type="java.lang.Integer"/>
				
				<form-property name="w83bcnae" type="java.lang.String" />
				<form-property name="mapa" type="java.util.HashMap"/>
				<form-property name="w83bMapaImpugnaciones" type="java.util.HashMap" />
				<form-property name="w83bMapaFileImpugnaciones" type="java.util.HashMap" />
				<form-property name="w83bListaBorradoFileImpugnaciones" type="java.util.List" />
				
				<form-property name="codSelecEdicion" type="java.lang.String"/>	
				<form-property name="w83bPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bCodTerritUsuario" type="java.lang.String" initial="48"/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="idDocumento" type="java.lang.String"/>
				<form-property name="w83bDocBeanImpug" type="w83b.w83bBeans.W83bDocBeanImpug"/>	
				<form-property name="w83bListaCod" type="java.util.List"/>	
				<form-property name="w83bRegManual" type="java.lang.String" initial=""/>
				<form-property name="w83bModelo" type="java.lang.String" initial=""/>
				<form-property name="tramite" type="java.lang.String" />
				
				<form-property name="w83bSubOpFlag" type="java.lang.String" initial="impugnaciones"/>
				
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83bInicioImpugnaciones" forward="paginaInicioImpugnaciones"/>
		<action
				path ="/w83bInicioBusquedaImpugnaciones" forward="paginaBusqImpugnacionesMenu"/>
		<action
				path ="/w83bInicioNuevaImpugnacion" forward="paginaNuevaImpugnacion"/>
<!--	DISPATCHES-->
	
		
		

		<!-- Operaciones de Paso -->
		<action path="/w83bIrAInicioImpugnacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bImpugnacionesInicioAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioImpugnaciones.do"/>
			<forward name="error" path="/w83bInicioImpugnaciones.do"/>
		</action>
		<action path="/w83bIrABusquedaImpugnacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bImpugnacionesIraBusquedasAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaImpugnaciones.do"/>
			<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do"/>
		</action>
		<action path="/w83bAtrasImpugnacionesBusq" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action> 
			<!-- DISPACHT -->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqImpugnaciones"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqImpugnaciones.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaImpugnacionesExcel.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasImpugnacionesBusq.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaImpugnacionesExcel.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bInicioNuevoImpugnaciones.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bInicioEdicionImpugnaciones.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bInicioEdicionImpugnaciones.do"/>
		</action>
		
	
		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevaImpugnacion"
				input="/w83bInicioNuevoImpugnaciones.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasImpugnacionesBusq.do"/>
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoImpugnaciones.do"/>
		</action>
		<action
				path="/w83bDispatchEdicion"
				name="w83bFormNuevaImpugnacion"
				input="/w83bInicioNuevoImpugnaciones.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bDispatchEdicionImpugnacionesAtras.do"/>
				<forward
					name="comun.boton.guardar"
					path="/w83bEdicionImpugnaciones.do"/>
				<forward
					name="comun.boton.imprimirFicha"
					path="/w83bFichaImpugnaciones.do"/>
				<forward
					name="comun.boton.guardarDocumentos"
					path="/w83bEdicionDocumentosImpugnaciones.do"/>
				<forward
					name="actualizarVocesLaudo"
					path="/w83bActualizarVocesLaudo.do"/>
		</action>
		
		
		<action
				path="/w83bDispatchCentroTrabajoAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="centroTrabajo"
					path="/w83bInicioBusquedaImpugnaciones.do"/>
				<forward
					name="impugnaciones"
					path="/w83bInicioBusquedaImpugnaciones.do"/>
		</action>
		
		
		<action
				path="/w83bDispatchEdicionImpugnacionesAtras"
				scope="request"
				parameter="w83bSubOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="actas"
					path="/w83bSubOpImpugnacionesEnd.do"/>
				<forward
					name="busqActas"
					path="/w83bSubOpImpugnacionesEnd.do"/>
				<forward
					name="impugnaciones"
					path="/w83bImpugnacionesAtrasNuevoEdicion.do"/>
				<forward
					name="preavisos"
					path="/w83bSubOpImpugnacionesEnd.do"/>
				<forward
					name="busqPreavisos"
					path="/w83bSubOpImpugnacionesEnd.do"/>
		</action>
		
		<action
				path="/w83bPaginaEdicionImpugnaciones"
				scope="request"
				parameter="w83bSubOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="actas"
					path="/w83bPaginaEdicionImpugnacionesActas.do"/>
				<forward
					name="impugnaciones"
					path="/w83bPaginaEdicionImpugnacionesImpugnaciones.do"/>
				<forward
					name="preavisos"
					path="/w83bPaginaEdicionImpugnacionesPreavisos.do"/>
		</action>
		
		<action path="/w83bImpugnacionesAtrasNuevoEdicion" 
		name="w83bFormBusqImpugnaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bImpugnacionesAtrasNuevoEdicionDispatch.do"/>
		</action>
						
		<action
				path="/w83bImpugnacionesAtrasNuevoEdicionDispatch"
				scope="request"
				parameter="busqRealizada"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="true"
					path="/w83bBusqImpugnacionesAtras.do"/>
				<forward
					name="false"
					path="/w83bInicioBusquedaImpugnaciones.do"/>
		</action>
		<action path ="/w83bBusqImpugnacionesAtras" 
			 parameter="w83bBusqImpugnacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioBusquedaImpugnaciones.do" />
					<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do" />
		</action>
		
		<action path="/w83bAtrasBusqActasImpugnacionesOP" 
			 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bAtrasBusqActasImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDispatchEdicionImpugnacionesAtras.do"/>
		</action>
		
		<action path="/w83bAtrasBusqPreavisosImpugnacionesOP" 
			 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bAtrasBusqPreavisosImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDispatchEdicionImpugnacionesAtras.do"/>
		</action>
		
		<action path="/w83bFichaImpugnaciones" 
		name="w83bFormNuevaImpugnacion" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bFichaImpugnacionesAction" 
			 validate="false">
		</action>
	
		<action path="/w83bContarImpugnacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bContarImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bContarImpugnaciones.do"/>
		</action>
		<action path="/w83bContarImpugnacionesOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bContarImpugnacionesOutOPAction" 
			 validate="false">
		</action>
	
		<action path ="/w83bPaginaNuevoImpugnaciones" forward="paginaNuevoImpugnaciones"/>
		
		<action path="/w83bInicioNuevoImpugnaciones" 
		name="w83bFormBusqImpugnaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bIrNuevoImpugnacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaNuevoImpugnaciones.do"/>
		</action>
		<action path="/w83bInicioEdicionImpugnaciones" 
		name="w83bFormBusqImpugnaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bIrEdicionImpugnacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bObtenerDetallesImpugnacionOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do"/>
		</action>
		
		<action path ="/w83bObtenerDetallesImpugnacionOI" 
			 parameter="w83bObtenerDetallesImpugnacionOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDetallesImpugnacionOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do" />
		</action>
						
		<action path="/w83bDetallesImpugnacionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bDetallesImpugnacionOutOPAction" 
			 validate="false">
			<forward name="paginaDetalles" path="/w83bPaginaEdicionImpugnaciones.do" />
		</action>
		
				
		<action path="/W83bGenericoActasImpugnacionesOPAction" 
			scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bGenericoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bObtenerDetallesImpugnacionOI.do"/>
		</action>
		
		
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		<action path ="/w83bBusqImpugnaciones" 
			 parameter="w83bBusqImpugnacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaImpugnacionesOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do" />
		</action>
		<action path ="/w83bContarImpugnaciones" 
			 parameter="w83bContarImpugnacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bContarImpugnacionesOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do" />
		</action>
		
		
		
		<action path="/w83bTablaImpugnacionesCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bTablaImpugnacionesCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bImpugnacionesBusqCentroTrabajo.do"/>
		</action>
		
		 <action path ="/w83bImpugnacionesBusqCentroTrabajo" 
			 parameter="w83bImpugnacionesBusqCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaImpugnacionesCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCentroTrabajo.do" />
		</action>
		 
		<action path="/w83bTablaImpugnacionesCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bTablaImpugnacionesCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
		<!-- Operaciones de Paso -->
		               
		<action path="/w83bObtenerImpugnacionIndiceOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bObtenerImpugnacionIndiceOP" 
			 validate="false">
			<forward name="edicion" path="/w83bInicioEdicionImpugnaciones.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
		
		<action path="/w83bCargarComboTiposDocumentoOP" scope="request" 
		type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bCargarTiposDocumentoOP" 
			 validate="false">
			<forward name="ok" path="/w83bCargaTiposDocumento.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bCargaTiposDocumento" 
			 parameter="w83bCargaTiposDocumentoImpugnacionesOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaTiposDocumentoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bCargaTiposDocumentoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bCargaTiposDocumentoOutOP" 
			 validate="false">
		</action>	
		<action path="/w83bCargarCentroTrabajoPreavisoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bCargarCentroTrabajoPreavisoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCentroTrabajoPreaviso.do"/>
		</action>
		<action path="/w83bCargarCentroTrabajoActaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bCargarCentroTrabajoPreavisoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCentroTrabajoActa.do"/>
		</action>
		
		<action path ="/w83bCargarCentroTrabajoPreaviso" 
			 parameter="w83bCargarCentroTrabajoPreavisoOI" 
			 validate="false" 
			 input="/w83bInicioNuevoImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCentroTrabajoPreavisoOutOP.do" />					
		</action>
		<action path ="/w83bCargarCentroTrabajoActa" 
			 parameter="w83bCargarCentroTrabajoActaOI" 
			 validate="false" 
			 input="/w83bInicioNuevoImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCentroTrabajoPreavisoOutOP.do" />					
		</action>
		<action path="/w83bGenericoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bGenericoOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bGenericoErrorOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bGenericoErrorOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bCargarCentroTrabajoPreavisoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bCargarCentroTrabajoPreavisoOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevoImpugnaciones.do"/>
		</action>
		
		<action path="/w83bAdjuntarArchivoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bAdjuntarArchivoOPAction" 
			 validate="false">
			 <forward name="ficherovacio" path="/w83bFicheroVacioOutOP.do"/>
			<forward name="ok" path="/w83bAdjuntarArchivoImpugnacionesOI.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
		
		<action path="/w83bFicheroVacioOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bFicheroVacioOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bObtenerDocumentoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bDescargarDocumentoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDescargarDocumentoOI.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
		
		<action path ="/w83bDescargarDocumentoOI" 
			 parameter="w83bDescargarDocumentoImpugOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDescargarDocumentoOutOP.do" />
					<forward name="error" path="/w83bGenericoOutOP.do" />
		</action>       
		<action path ="/w83bObtenerDocumentoContextoOP" 
					  type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bDescargarDocumentoContextoOPAction"
			 scope="request">
					
					<forward name="error" path="/w83bGenericoOutOP.do" />
		</action>
		
		<action path="/w83bDescargarDocumentoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>	
		
		<action path ="/w83bAdjuntarArchivoImpugnacionesOI" 
			 parameter="w83bAdjuntarArchivoImpugnacionesOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					 <forward name="ok" path="/w83bGenericoOutOP.do" />
					<forward name="okVacio" path="/w83bGenericoAdjuntarOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do" />
		</action>
		
		<action path="/w83bGenericoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bGenericoOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bGenericoAdjuntarOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bGenericoAdjuntarOutOPAction" 
			 validate="false">
		</action>
					
		<action path="/w83bGenericoErrorOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bGenericoErrorOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bTablaImpugnacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bTablaImpugnacionesOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqImpugnaciones.do"/>
			<forward name="ok" path="/w83bTablaImpugnacionesOutOP.do"/>
			<forward name="outOP" path="/w83bTablaImpugnacionesOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaImpugnacionesMenu.do"/>
		</action>
		
		<action path="/w83bTablaImpugnacionesOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bTablaImpugnacionesOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bTablaImpugnacionesBorrar" scope="request" 
		type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bImpugnacionesBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bImpugnacionesBorrarOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do"/>
		</action>
		
		<action path ="/w83bImpugnacionesBorrarOI" 
			 parameter="w83bBorrarImpugnacionesOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenericoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
			
		<action path="/w83bTablaImpugnacionesExcel" 
		name="w83bFormBusqImpugnaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bTablaImpugnacionesExcelAction" 
			 validate="false">
		</action>
		<action path="/w83bGenNumRegistroOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bDarAltaRegistroNuevoNumeroEntradaDelegacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenNumRegistro.do"/>
		</action>
		<action path="/w83bGenNumRegistroOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bDarAltaRegistroNuevoNumeroEntradaDelegacionOutAction" 
			 validate="false">
		</action>
				
		
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		 <action path ="/w83bGenNumRegistro" 
			 parameter="w83bDarAltaRegistroNuevoNumeroEntradaDelegacionOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenNumRegistroOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaActas.do" />
		</action>
				
		<action path ="/w83bMovimientoImpugnaciones" 
			 parameter="w83bMovimientoImpugnacionesOI" 
			 validate="false" name="w83bFormNuevaImpugnacion" 
			 input="/w83bInicioNuevoImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioEdicionImpugnaciones.do" />
					<forward name="error" path="/w83bInicioNuevoImpugnaciones.do" />
		</action>
		
		
		                 
		<action path ="/w83bObtenerDetallesImpugnacionOI" 
			 parameter="w83bObtenerDetallesImpugnacionOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDetallesImpugnacionOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaImpugnaciones.do" />
		</action>
						
	<action path="/w83bDetallesImpugnacionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bDetallesImpugnacionOutOPAction" 
			 validate="false">
			<forward name="paginaDetalles" path="/w83bPaginaEdicionImpugnaciones.do" />
		</action>
		
		
		<action path ="/w83bPaginaEdicionImpugnacionesImpugnaciones" forward="paginaEdicionImpugnaciones"/>
		<action path ="/w83bPaginaEdicionImpugnacionesActas" forward="paginaEdicionImpugnacionesActas"/>
		<action path ="/w83bPaginaEdicionImpugnacionesPreavisos" forward="paginaEdicionImpugnacionesPreavisos"/>
		
		<action path ="/w83bEdicionImpugnaciones" 
			 parameter="w83bEdicionImpugnacionesOI" 
			 validate="false" name="w83bFormNuevaImpugnacion" 
			 input="/w83bInicioEdicionImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioEdicionImpugnaciones.do" />
					<forward name="error" path="/w83bInicioEdicionImpugnaciones.do" />
		</action>
		
	<action path ="/w83bEdicionDocumentosImpugnaciones" 
	 parameter="w83bEdicionDocumentosImpugnacionesOI" 
	 validate="false" name="w83bFormNuevaImpugnacion" 
	 input="/w83bInicioEdicionImpugnaciones.do" 
	 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
	 scope="request">
			<forward name="ok" path="/w83bInicioEdicionImpugnaciones.do" />
			<forward name="error" path="/w83bInicioEdicionImpugnaciones.do" />
	</action>
	
	<action path ="/w83bActualizarVocesLaudo" 
	 parameter="w83bActualizarVocesLaudoOI" 
	 validate="false" name="w83bFormNuevaImpugnacion" 
	 input="/w83bInicioEdicionImpugnaciones.do" 
	 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
	 scope="request">
			<forward name="ok" path="/w83bInicioEdicionImpugnaciones.do" />
			<forward name="error" path="/w83bInicioEdicionImpugnaciones.do" />
	</action>
	
	<action path ="/w83bEdicionDocumentosImpugnaciones" 
	 parameter="w83bEdicionDocumentosImpugnacionesOI" 
	 validate="false" name="w83bFormNuevaImpugnacion" 
	 input="/w83bInicioEdicionImpugnaciones.do" 
	 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
	 scope="request">
			<forward name="ok" path="/w83bInicioEdicionImpugnaciones.do" />
			<forward name="error" path="/w83bInicioEdicionImpugnaciones.do" />
	</action>
		
	<action path="/w83bCargarDatosImpugnacionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bCargarDatosImpugnacionOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarDatosImpugnacion.do"/>
		</action>
		
		<action path ="/w83bCargarDatosImpugnacion" 
			 parameter="w83bExisteImpugnacionOI" 
			 validate="false" 
			 input="/w83bInicioNuevoImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarDatosImpugnacionOutOP.do" />					
		</action>
		
	
		<action path="/w83bCargarDatosImpugnacionOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bImpugnaciones.W83bCargarDatosImpugnacionOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevoImpugnaciones.do"/>
		</action>
		
		
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		<action path="/w83bIraCentrosTrabajoSubOp" parameter="/centroTrabajoOP/w83bSubOpCentroTrabajoInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/impugnacionesOP/w83bDispatchCentroTrabajoAtras.do" />
		</action>
		
		<!-- SUB-OPERACIONES -->
		<action path="/w83bSubOpImpugnacionesInit" scope="request" forward="/W83bGenericoActasImpugnacionesOPAction.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83bSubOpImpugnacionesEnd" scope="request" forward="/w83bSubOpImpugnacionesInit.do">
			<set-property property="subOp" value="end" />
		</action>
		<!-- FIN SUB-OPERACIONES -->
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-impugnaciones.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

</struts-config>